新无止竞

首页 » 编程教程 » php常见问题 用--with-apxs来编译PHP时,我得到了奇怪的错误信

php常见问题 用--with-apxs来编译PHP时,我得到了奇怪的错误信

有两种方法检查。第一种,当Apache建立apxs Perl程序时,因为一些原因,它没有包含正确的编译参数。编辑你apxs(在 usr local apache bin apxs或者 usr sbin apxs)并检查下列几行:my$CFG_CFLAGS_SHLIB=& 39;&

有两种方法检查。第一种,当Apache建立apxs Perl程序时,因为一些原因,它没有包含正确的编译参数。编辑你apxs(在/usr/local/apache/bin/apxs或者 /usr/sbin/apxs)并检查下列几行:
  1. my $CFG_CFLAGS_SHLIB = ' '; # substituted via Makefile.tmpl 
  2. my $CFG_LD_SHLIB = ' '; # substituted via Makefile.tmpl 
  3. my $CFG_LDFLAGS_SHLIB = ' '; # substituted via Makefile.tmpl 
如果你看到上面那样子,就是你发生错误的地方了,改成下面几行的样子:
  1. my $CFG_CFLAGS_SHLIB = '-fpic -DSHARED_MODULE'; # substituted via Makefile.tmpl 
  2. my $CFG_LD_SHLIB = 'gcc'; # substituted via Makefile.tmpl 
  3. my $CFG_LDFLAGS_SHLIB = q(-shared);# substituted via Makefile.tmpl 
第二种可能的原因只有在RedHat 6.1上发生。RedHat 上的apxs配置有问题,如下行:
  1. my $CFG_LIBEXECDIR = 'modules'; # substituted via APACI install 
如果你看到上面那行,应该改成下面这行:
  1. my $CFG_LIBEXECDIR = '/usr/lib/apache'; # substituted via APACI install 

文章如无特别注明均为原创! 作者: 独自狂战, 转载或复制请以 超链接形式 并注明出处 新无止竞博客 - 专注网络技术资源分享的IT博客
原文地址《 php常见问题 用--with-apxs来编译PHP时,我得到了奇怪的错误信》发布于2018-10-27

分享到:
打赏

评论

游客

切换注册

登录

您也可以使用第三方帐号快捷登录

Q Q 登 录
微 博 登 录
切换登录

注册